extends Control


func _ready() -> void:
	var data = Game.get_savefile_data("savefile.save")
	%GuildName.text = data.guildname
	%GuildLevel.text = "Lv" + str(int(data.guildlevel))
	%PlayerName.text = data.playername
	%PlayerLevel.text = "Lv" + str(int(data.playerlevel))
	%SaveTime.text = data.savetime
	%Screenshot.texture = ImageTexture.create_from_image(data.screenshot)


func _on_continue_button_pressed() -> void:
	Game.test_load("savefile.save")


func _on_cancel_button_pressed() -> void:
	get_tree().change_scene_to_file("res://scenes/start_menu.tscn")
